Skip to main content
PATCH
Update an MCP connection

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

mcpConnectionId
string<uuid>
required

Body

application/json
type
string
required
Allowed value: "remote"
name
string
Required string length: 1 - 200
serverUrl
string<uri>
authType
enum<string>
Available options:
oauth,
client_credentials,
static_headers
clientId
string
Required string length: 1 - 4096
clientSecret
string
Required string length: 1 - 65536
headers
object | null
oauthRegistration
enum<string>
Available options:
automatic,
pre_registered
scope
string
Required string length: 1 - 4096

Response

Update an MCP connection

connectedAt
string<date-time> | null
required
id
string<uuid>
required
name
string
required
serverUrl
string | null
required
type
enum<string>
required
Available options:
remote,
stdio
args
string[] | null
required
Maximum array length: 100
Maximum string length: 8192
authType
enum<string> | null
required
Available options:
oauth,
client_credentials,
static_headers,
null
command
string | null
required
createdAt
string<date-time>
required
envKeys
string[]
required
headerKeys
string[]
required
updatedAt
string<date-time>
required